InvalidateOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: InvalidateOperationContext

Package org.apache.geode.cache.operations

# Class InvalidateOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.KeyOperationContext
org.apache.geode.cache.operations.InvalidateOperationContext

@Deprecated public class InvalidateOperationContext extends KeyOperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a `OperationContext.OperationCode.INVALIDATE` region operation having the key object for both the pre-operation case and for post-operation updates.

Since:
  GemFire 5.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidateOperationContext(Object key)`
  Deprecated.
  Constructor for the operation.
  `InvalidateOperationContext(Object key, boolean isPostOperation)`
  Deprecated.
  Constructor for the operation to use for post-operation in updates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.

  ### Methods inherited from class org.apache.geode.cache.operations.KeyOperationContext

  `getCallbackArg, getKey, isPostOperation, setCallbackArg, setPostOperation`

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InvalidateOperationContext

    public InvalidateOperationContext(Object key)
    Deprecated.
    Constructor for the operation.
    Parameters:
      `key` - the key for this operation

  - ### InvalidateOperationContext

    public InvalidateOperationContext(Object key, boolean isPostOperation)
    Deprecated.
    Constructor for the operation to use for post-operation in updates.
    Parameters:
      `key` - the key for this operation
      `isPostOperation` - true if the context is at the time of sending updates

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Specified by:
      `getOperationCode` in class `KeyOperationContext`
    Returns:
      `OperationCode.INVALIDATE`.